#[derive(Clone, Copy)]
pub struct Location
{
   ///
   pub module_path: &'static str,

   ///
   pub file: &'static str,

   ///
   pub line: u32
}

impl Location
{
   pub fn new(mod_loc: &'static str, file_loc: &'static str, line_loc: u32)
      -> Location
   {
      Location {module_path: mod_loc, file: file_loc, line: line_loc}
   }
}
